# List

Launch stage: GA

`GET /api/2.0/postgres/{parent=projects/*}/branches`

Returns a paginated list of database branches in the project.

API scopes: postgres

## Path parameters

- `parent` (string, optional)
  The Project that owns this collection of branches.
   Format: projects/{project_id}

## Query parameters

- `page_token` (string, optional)
  Page token from a previous response. If not provided, returns the first page.
- `page_size` (int32, optional)
  Upper bound for items returned. Cannot be negative.

## Returns

Returns a list of Branch objects.

## Response

```json
{
  "branches": [
    {
      "name": "string",
      "uid": "string",
      "parent": "string",
      "create_time": "string",
      "update_time": "string",
      "spec": {},
      "status": {},
      "branch_id": "string"
    }
  ],
  "next_page_token": "string"
}
```

